Результаты поиска для — как обновить версию — Форумы поддержки — WordPress, как обновить php на хостинге.

WordPress.org

Добрый день, всем!

Обновила водпресс и плагины вчера, сегодня утром мой slider выглядит очень странно. В админ панели появилось уведомление, что плагин Genesis Simple Hook требует помимо обнавленного водпресс еще и новую версию Genesis, которая 2.4.2. У меня стоит child theme, называется outreach. Сайт мне достался от вебдизайнера много лет назад, с ним контактов нет вообще. Поэтому я там мало что трогала капитального, только тексты и картинки меняю и обновляю когда требуется. Так вот, как обновить Genesis? Залезла к ним на сайт, требуют залогиниться, у меня нет данных. Создать новый не понятно как, нету четкой формы чnобы забить свои данные и создать аккаунт…

как узнать у меня платная версия Genesis или бесплатная?

А зачем вообще нужен плагин Genesis Simple Hook?

А может проблема моего slider вообще не в этом? Кто ниудь может чего нибудь подсказать?

Значит, нет необходимости мне рисковать, обновляясь?

Спасибо, wpgear (@wpgear)

Нашла текущую версию: WordPress 3.8.19 с темой оформления Jounsy Template.

А обновиться нужно до WordPress 4.7.3!

Опасно ли не обновляться?

  • Ответ изменён 9 мес., 4 нед. назад пользователем cvetkova.
  • Ответ изменён 9 мес., 4 нед. назад пользователем cvetkova.

Форум накроется вообще, проверял.

Версия 2.6, которая сейчас в разработке и на которую я дал ссылку, не накроется. Она используется на этом форуме 🙂

Да PHP 7.1.0. Но обновить я его не могу

В данном случае нужно не обновить, а наоборот — либо понизить версию PHP до 7.0.x и использовать bbPress 2.5, либо оставить 7.1.x и использовать bbPress 2.6.

Думаю надо как то разрабам написать, что что-то не то с bbpress.

Уже написали и исправили, я дал ссылку на тикет в багтрекере.

акисмет вас не любит, если не пропускает — не надо отправлять еще раз, все равно поставит на модерацию, а нам потом вычищать дубли

Ещё раз извините. Не знал (не успел разобраться даже, форум-то сразу накрылся). Прискверная штука этот акисмет, надо будет его удалить у себя на форуме. 🙂

Квадратные скобки верните на место 🙂

Какая у вас версия PHP? Если 7.1.x — попробуйте текущую альфа-версию, в ней ошибка исправлена.

Ну верну, и что? Форум накроется вообще, проверял. Там почему-то три строчки со скобочками ему не нравятся.

Да PHP 7.1.0. Но обновить я его не могу, хостинг бесплатный, какой дали, такой и пользую. И на своём компе с PHP 7.0.1 все работает с теми же настройками и дополнениями. Думаю надо как то разрабам написать, что что-то не то с bbpress.

ошибка 500 — смотрите лог ошибок error.log, если не знаете где он находится — спрашивайте техподдержку хостинга.

Без лога ошибок по 500й ошибке не сказать ничего

с версии 4.2 делать прыжок сразу через 5 больших релизов и получить в итоге ошибку — неудивительно, сами взяли такой риск на себя.

Если обновлять без риска

1. делаете бэкап

2. отключаете плагины (в админке)

3. переходите на тему twenty какую-нибудь

4. скачиваете последнюю версию ветки 4.3

5. заменяете из архива php файлы корня и папки wp-admin/ wp-includes/

6. заходите в админку, обновляете если надо БД, плагины, темы

7. повторяете с пункта 4 до пункта 6 для веток 4.4 4.5 4.6 4.7, хотя 4.6 до 4.7 можно и из админки обновить кнопкой

8. включаете по одному плагины и тему

  • Ответ изменён 10 мес., 1 неделя назад пользователем Yui.

Добрый день. У меня три сайта. Все три располагаются на одном хостинге. Все три на движке wordpress. После обновления движка на версию 4.7.2 начались проблемы. Они связаны с тем, что из админ панели сайта невозможно обновить плагины, темы. А если и обновляются, то этот процесс 50/50. Но из админ панели хостинга (cpanel) они обновляются, но не всегда. На одном сайте я проделал следующее. Я удалил полностью сайт (он был временный), и установил по новой движок из cpanel админки хостинга. Всё начисто, без плагинов и лишних настроек. Но даже при таком раскладе, зайдя в админку сайта я не могу установить не один из плагинов (что как раз и исключает конфликты плагинов и тем). Точнее они ставятся, но очень очень долго (но опять же не всегда. Если его удалить, второй раз уже может и не установиться). Скажите пожалуйста, что делать? Ждать следующего обновления wordpress?

Спасибо Вам, SeVlad. Очень последовательно ответили, но у меня еще больше возникло вопросов:

1)Во-вторых Ваш сайт не для всех доступен, а поэтому анализировать что-то проблемно. Возможно, кстати, причина проблем и в этом.

Что значит не для всех доступен и как Вы это проверили?

2)В третьих — Вы используете старую версию темы — 1.8.4.8. Актуальная на сегодня 2.0.5

Я через консоль WP всегда все обновляю, сейчас проверил, принудительный поиск обновлений не дает результатов. Как обновить тему? И где Вы посмотрели информацию о актуальности версии темы?

Я удалил из header.php

Во первых, чтобы не потерять возможности обновления — не нужно править оригинал темы, стоит использовать механизм дочерних тем

Во-вторых Ваш сайт не для всех доступен, а поэтому анализировать что-то проблемно. Возможно, кстати, причина проблем и в этом.

В третьих — Вы используете старую версию темы — 1.8.4.8. Актуальная на сегодня 2.0.5

В четвёртых — в оригинальной теме подобных проблем нет. Отсюда вывод — либо Вы что-то наменяли в теме, либо плагины. (либо из-за ограниченной доступности, что-то не доставляется, не обновлено и тд).

Выход — для начала обновить тему. Не поможет — отключить все плагины, после чего искать виновного.

  • Ответ изменён 10 мес., 4 нед. назад пользователем SeVlad.

Установил WordPress 4.7 на VDS (специально версию ниже, чтобы проверить работу обновлений, так как ранее были проблемы). Не получается обновить WordPress до 4.7.1

Как это выглядит: Перехожу в «обновления» на меню слева в админике, жму «обновить сейчас» на информационном поле справа. Ввожу справа данные FTP. Справа вся информация пропадает, а меню слева все еще видно. При этом, наблюдаю, что по фтп закачивается папка «wordpress-4.7.1» в wp-content/upgrade . Далее ничего не происходит. Ждал час. После обновления страницы в админке все еще предлагает обновиться. При нажатии «обновить сейчас» — все по новой.

При этом поставил плагин Woocomerce. Он обновился в автоматическом режиме. Кроме того, обновилась тема, а сам wordpress не хочет… Подскажите, пожалуйста, куда копать?

Права на папки 775, на файлы 664

Не могу обновить версию wordpress на сайте. В админке висит баннер.

«Доступен WordPress 4.7.1! Пожалуйста, сообщите администратору сайта».

Проверьте в wp-config.php — нет ли директив, запрещающих обновления. Или может какие плагины безопасности мешают.

Не могу обновить версию wordpress на сайте. В админке висит баннер.

«Доступен WordPress 4.7.1! Пожалуйста, сообщите администратору сайта».

Но я и есть администратор (это прописано в правах + захожу через адрес, который используется для администрирования.

По ссылке /update-core.php выходит ошибка «У вас недостаточно полномочий для доступа к этой странице».

Создала нового пользователя с правами администратора — та же история.

В чем может быть проблема? Как исправить?

Знаю, что можно обновляться по ftp, но хочется автоматизировать этот процесс и разобраться в проблеме.

надо было обновить на хостинге версию php до 5.6

warning это не ошибка.

Да, это предупреждение. Предупреждение об ошибке, способной нарушить работоспособность (и как правило это и приходит).

Warning: Missing argument 3

О причинах появления этого предупреждения я сказать не могу, но плагин исправлять, действительно, не стоит.

Возможно, стоит обновить его вручную.

Также можно попробовать повысить версию php. 5.3 — слишком старая и небезопасная версия.

обновить версию PHP или отказаться от использования плагина.

За обновлением версии PHP — в панель управлени хостингом, если там возможна смена версии.

Если такого нет — запрос в техподдержку хостинга.

Попробуйте отключить в настройках плагина опцию «Make ALL Redirects open in a New Window?», она задействует сложное регулярное выражение.

Также стоит попробовать обновить версию PHP.